import { OpenAPIV3 } from 'openapi-types';
import SwaggerParser from '@apidevtools/swagger-parser';
export declare class Parser {
    document: OpenAPIV3.Document | null;
    parser: SwaggerParser;
    init(api: OpenAPIV3.Document<any>): Promise<void>;
    getProcessedOperationObjects(): {
        isMultipart: boolean;
        parameters: {
            pathParams: {
                schema: OpenAPIV3.SchemaObject | undefined;
                name: string;
                in: string;
                description?: string | undefined;
                required?: boolean | undefined;
                deprecated?: boolean | undefined;
                allowEmptyValue?: boolean | undefined;
                style?: string | undefined;
                explode?: boolean | undefined;
                allowReserved?: boolean | undefined;
                example?: any;
                examples?: {
                    [media: string]: OpenAPIV3.ReferenceObject | OpenAPIV3.ExampleObject;
                } | undefined;
                content?: {
                    [media: string]: OpenAPIV3.MediaTypeObject;
                } | undefined;
            }[];
            queryParams: {
                schema: OpenAPIV3.SchemaObject | undefined;
                name: string;
                in: string;
                description?: string | undefined;
                required?: boolean | undefined;
                deprecated?: boolean | undefined;
                allowEmptyValue?: boolean | undefined;
                style?: string | undefined;
                explode?: boolean | undefined;
                allowReserved?: boolean | undefined;
                example?: any;
                examples?: {
                    [media: string]: OpenAPIV3.ReferenceObject | OpenAPIV3.ExampleObject;
                } | undefined;
                content?: {
                    [media: string]: OpenAPIV3.MediaTypeObject;
                } | undefined;
            }[];
        };
        responseData: OpenAPIV3.MediaTypeObject;
        requestBody: OpenAPIV3.MediaTypeObject | null;
        __extra__: {
            url: string;
            method: string;
        };
        tags?: string[] | undefined;
        summary?: string | undefined;
        description?: string | undefined;
        externalDocs?: OpenAPIV3.ExternalDocumentationObject | undefined;
        operationId?: string | undefined;
        responses: OpenAPIV3.ResponsesObject;
        callbacks?: {
            [callback: string]: OpenAPIV3.ReferenceObject | OpenAPIV3.CallbackObject;
        } | undefined;
        deprecated?: boolean | undefined;
        security?: OpenAPIV3.SecurityRequirementObject[] | undefined;
        servers?: OpenAPIV3.ServerObject[] | undefined;
    }[];
    private processOperationObject;
    private processParametersObject;
}
